#source de certaines données : https://www.photochemcad.com/
#d'autres : mesures de l'auteur (données exportées par l'appareil)

import pandas as pd
import matplotlib.pyplot as plt

spectrebleu=pd.read_csv("spectreE131bleu.csv", delimiter=';')
spectreCongo=pd.read_csv("Data_Congo_Red.abs.csv", delimiter='\t')
spectreCurcumine=pd.read_csv("Data_Curcumin.abs.csv", delimiter='\t')


lambdB=spectrebleu["lambda"]
lambdCongo=spectreCongo["Wavelength (nm)"]
lambdCurcumine=spectreCurcumine["Wavelength (nm)"]

Ableu=spectrebleu["A"]
ACongo=spectreCongo["J17 abs e"]*1e-5
ACurcumine=spectreCurcumine["D08 abs e"]*1e-5

fig, ax=plt.subplots()
ax.set_xlim(200, 750)
#ax.set_ylim(0, 100)

plt.plot(lambdB, Ableu, color='royalblue', label="E131")
plt.plot(lambdCongo, ACongo, 'r-', label="rouge Congo")
plt.plot(lambdCurcumine, ACurcumine, color='tab:orange', label="curcumine")

plt.title("Spectres d'absorption de colorants")
plt.xlabel("longueur d'onde (nm)")
plt.legend()
plt.grid()

plt.show()



